libzypp 17.38.15

plaindir.cc File Reference
`#include "plaindir.h"`
`#include <zypp-core/ng/ui/ProgressObserver>`
`#include <zypp-media/ng/ProvideSpec>`
`#include <zypp/ng/Context>`
`#include <zypp/ng/repo/workflows/repodownloaderwf.h>`
`#include <zypp/ng/workflows/checksumwf.h>`

Go to the source code of this file.

## Namespaces
namespace | zyppng
namespace | zyppng::PlaindirWorkflows

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "zypp::repomanager"

## Functions
MaybeAwaitable< expected< zypp::RepoStatus > > | zyppng::PlaindirWorkflows::repoStatus (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle)
MaybeAwaitable< expected< repo::DownloadContextRef > > | zyppng::PlaindirWorkflows::download (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle, ProgressObserverRef progressObserver)

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zypp::repomanager"

Definition at line 20 of file plaindir.cc.